<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.gudanggaramtbk.myppcap.BatchDetailFragment">
    <!-- TODO: Update blank fragment layout -->


    <LinearLayout
        android:id="@+id/FrameRow"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="5dp"
        android:layout_marginEnd="10dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="5dp"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/CapHeader"
            android:layout_width="match_parent"
            android:layout_height="57dp"
            android:background="@android:color/darker_gray"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/RouteInfoFrame"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight=".75"
                android:background="?attr/colorBackgroundFloating"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/TaskRouteID"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".48"
                    android:orientation="vertical"
                    android:visibility="invisible">

                    <TextView
                        android:id="@+id/txt_task_did"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:visibility="invisible" />

                    <TextView
                        android:id="@+id/txt_IsClosed"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:visibility="invisible" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/Nav_Prev"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".44"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/cmd_prev_route"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        app:srcCompat="@android:drawable/ic_media_previous" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/TaskRouteSeqFrame"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".41"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/txt_task_route_seq"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginBottom="5dp"
                        android:layout_marginLeft="5dp"
                        android:layout_marginRight="5dp"
                        android:layout_marginTop="5dp"
                        android:layout_weight="1"
                        android:background="@android:color/holo_orange_light"
                        android:gravity="center"
                        android:textAlignment="center"
                        android:textColor="@android:color/black"
                        android:textSize="18sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/Nav_Next"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".44"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/cmd_next_route"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        app:srcCompat="@android:drawable/ic_media_next" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/LocRakFrame"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginBottom="5dp"
                    android:layout_marginTop="5dp"
                    android:layout_weight=".31"
                    android:background="?attr/colorButtonNormal"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".20"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/lbl_LocRak"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight=".2"
                            android:gravity="center"
                            android:text="RAK"
                            android:textAlignment="center"
                            android:textColor="@android:color/black"
                            android:textSize="18sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".2"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/txt_LocRak"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:textAlignment="center"
                            android:textColor="@android:color/black"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/LocBinFrame"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginBottom="5dp"
                    android:layout_marginStart="2dp"
                    android:layout_marginTop="5dp"
                    android:layout_weight=".40"
                    android:background="?attr/colorButtonNormal"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".2"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/lbl_LocBin"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:text="BIN"
                            android:textAlignment="center"
                            android:textColor="@android:color/black"
                            android:textSize="18sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".2"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/txt_LocBin"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:textAlignment="center"
                            android:textColor="@android:color/black"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/LocCompFrame"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginBottom="5dp"
                    android:layout_marginEnd="2dp"
                    android:layout_marginStart="2dp"
                    android:layout_marginTop="5dp"
                    android:layout_weight=".40"
                    android:background="?attr/colorButtonNormal"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".20"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/lbl_LocComp"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight=".2"
                            android:gravity="center"
                            android:text="COMP"
                            android:textAlignment="center"
                            android:textColor="@android:color/black"
                            android:textSize="18sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".20"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/txt_LocComp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:textAlignment="center"
                            android:textColor="@android:color/black"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/CapItemDesc"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="10dp"
            android:layout_marginTop="15dp"
            android:layout_weight=".54"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".15"
                    android:elevation="0dp"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".3"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/lbl_itemCode"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight=".65"
                            android:text="Item Code"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/lbl_separator1"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight=".9"
                            android:gravity="top"
                            android:text=":"
                            android:textAlignment="center"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/txt_itemCode"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginStart="10dp"
                            android:layout_weight=".3"
                            android:text="TextView"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".15"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/lbl_itemDesc"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight=".65"
                            android:text="Description"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/lbl_separator2"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight=".9"
                            android:gravity="top"
                            android:text=":"
                            android:textAlignment="center"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/txt_itemDesc"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginStart="10dp"
                            android:layout_weight=".3"
                            android:text="TextView"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".3"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/lbl_Reason"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight=".65"
                            android:text="Reason"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/lbl_separator3"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight=".9"
                            android:gravity="top"
                            android:text=":"
                            android:textAlignment="center"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <Spinner
                            android:id="@+id/cbo_RouteReason"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_weight=".3"
                            android:textAlignment="textStart" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".85"
                    android:orientation="vertical">

                    <ImageButton
                        android:id="@+id/cmd_save"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical|center_horizontal"
                        android:layout_marginBottom="20dp"
                        android:layout_marginTop="20dp"
                        app:srcCompat="@android:drawable/ic_menu_save" />
                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/CapPict"
            android:layout_width="match_parent"
            android:layout_height="500dp"
            android:layout_weight=".3"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/FramePict1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="10dp"
                android:layout_weight=".3"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".80"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/textView13"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:gravity="center_vertical"
                        android:text="1"
                        android:textAlignment="center"
                        android:textSize="24sp"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".3"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/img_1"
                        android:layout_width="match_parent"
                        android:layout_height="150dp"
                        android:layout_weight="1"
                        android:background="?attr/colorControlHighlight"
                        android:scaleType="fitCenter"
                        app:srcCompat="@drawable/noimage" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".82"
                    android:orientation="vertical">

                    <Space
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".6"
                    android:orientation="vertical">

                    <Space
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".4" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".20"
                        android:orientation="horizontal">

                        <ImageButton
                            android:id="@+id/cmd_gal1"
                            android:layout_width="match_parent"
                            android:layout_height="60dp"
                            android:layout_weight="1"
                            app:srcCompat="@drawable/ic_menu_gallery" />

                        <ImageButton
                            android:id="@+id/cmd_cam1"
                            android:layout_width="match_parent"
                            android:layout_height="60dp"
                            android:layout_weight="1"
                            app:srcCompat="@drawable/ic_menu_camera" />

                    </LinearLayout>

                    <TextView
                        android:id="@+id/txt_blobID1"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".4" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/FramePict2"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="10dp"
                android:layout_weight=".3"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".80"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/textView14"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:gravity="center_vertical"
                        android:text="2"
                        android:textAlignment="center"
                        android:textSize="24sp"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".3"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/img_2"
                        android:layout_width="match_parent"
                        android:layout_height="150dp"
                        android:layout_weight="1"
                        android:background="?attr/colorControlHighlight"
                        android:scaleType="fitCenter"
                        app:srcCompat="@drawable/noimage" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".82"
                    android:orientation="vertical">

                    <Space
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".6"
                    android:orientation="vertical">

                    <Space
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".4" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".2"
                        android:orientation="horizontal">

                        <ImageButton
                            android:id="@+id/cmd_gal2"
                            android:layout_width="match_parent"
                            android:layout_height="60dp"
                            android:layout_weight="1"
                            app:srcCompat="@drawable/ic_menu_gallery" />

                        <ImageButton
                            android:id="@+id/cmd_cam2"
                            android:layout_width="match_parent"
                            android:layout_height="60dp"
                            android:layout_weight="1"
                            app:srcCompat="@drawable/ic_menu_camera" />

                    </LinearLayout>

                    <TextView
                        android:id="@+id/txt_blobID2"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".4" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/FramePict3"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="10dp"
                android:layout_weight=".3"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".80"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/textView15"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:gravity="center_vertical"
                        android:text="3"
                        android:textAlignment="center"
                        android:textSize="24sp"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".3"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/img_3"
                        android:layout_width="match_parent"
                        android:layout_height="150dp"
                        android:layout_weight="1"
                        android:background="?attr/colorControlHighlight"
                        android:scaleType="fitCenter"
                        app:srcCompat="@drawable/noimage" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".82"
                    android:orientation="vertical">

                    <Space
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight=".6"
                    android:orientation="vertical">

                    <Space
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".4" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".2"
                        android:orientation="horizontal">

                        <ImageButton
                            android:id="@+id/cmd_gal3"
                            android:layout_width="match_parent"
                            android:layout_height="60dp"
                            android:layout_weight="1"
                            app:srcCompat="@drawable/ic_menu_gallery" />

                        <ImageButton
                            android:id="@+id/cmd_cam3"
                            android:layout_width="match_parent"
                            android:layout_height="60dp"
                            android:layout_weight="1"
                            app:srcCompat="@drawable/ic_menu_camera" />

                    </LinearLayout>

                    <TextView
                        android:id="@+id/txt_blobID3"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight=".4" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/FramePictCmd"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight=".4"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <Button
                        android:id="@+id/cmd_finish_route"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:text="Finish Route" />
                </LinearLayout>
            </LinearLayout>

        </LinearLayout>

    </LinearLayout>
</FrameLayout>


